DKBSignDocs

API reference

GETRequires Bearer token

List documents in a folder

/api/edm/folders/{folder_id}/documents

Retrieve /api/edm/folders/{folder_id}/documents. Authenticated routes need Authorization: Bearer {token} from POST /api/v1/login.

Path parameters

FieldTypeDescription
folder_id
Required
stringPath parameter folder_id.

Query parameters

FieldTypeDescription
limit
integerPage size (1–200, default 50).
e.g. 50
offset
integerOffset (default 0).
e.g. 0

Request body

This endpoint does not accept a request body.

Responses

StatusMeaning
200Success
401Missing or invalid Bearer token.

Request

curl
curl -X GET 'https://api.dkbsigns.com/api/edm/folders/uuid_or_id/documents?limit=50&offset=0' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN'

Response 200

json
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "org_id": "1",
  "folder_id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
  "typology_id": null,
  "name": "Contract 2026.pdf",
  "status": "draft",
  "size_bytes": 1048576,
  "mime_type": "application/pdf",
  "owner_user_id": "4",
  "metadata": {},
  "tags": [
    "client-x"
  ],
  "legal_hold": false,
  "version_count": 1,
  "sealed_at": null,
  "created_at": "2026-03-01T10:00:00Z",
  "updated_at": "2026-03-01T10:00:00Z"
}